Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Client GETList Clients GETCreate Client POST
OrganizationClients

Create Client


Creates a new client for your company

POST
/api/rest/v2/clients

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Request Body

application/json

Add client request body

name*string

Client Name

manager?

Manager ID

print_logo?boolean

Print Logo

address_1?string

Address Line 1

address_2?string

Address Line 2

city?string

City

state?string

State

zip?string

Zip Code

country?string

Country

location_type?number

Location Type

about?string

About

website?string

Website

standard_instruction?string

Standard Instruction

policy_procedure?string

Policy and Procedure

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/clients" \  -H "Content-Type: application/json" \  -d '{    "name": "Tech Solutions Inc.",    "manager": {      "id": 404    },    "print_logo": true,    "address_1": "123 Tech Blvd",    "city": "San Francisco",    "state": "CA",    "zip": "94105",    "country": "USA",    "location_type": 1,    "about": "Leading tech support provider.",    "website": "https://techsolutions.com",    "standard_instruction": "Follow safety guidelines.",    "policy_procedure": "Report all incidents immediately."  }'
{
  "id": 123,
  "client_id": 99,
  "name": "Sample Name",
  "actions": [],
  "correlation_id": "string_value",
  "active": true,
  "print_logo": true,
  "address_1": "string_value",
  "address_2": "string_value",
  "city": "Minneapolis",
  "state": "MN",
  "zip": "90210",
  "country": "USA",
  "location_type": 0,
  "website": "string_value",
  "policy_procedure": "string_value",
  "standard_instruction": "string_value",
  "about": "string_value",
  "created": {
    "utc": "string_value"
  },
  "logo": "string_value",
  "manager": {
    "thumbnail": "string_value",
    "id": 123,
    "first_name": "John",
    "last_name": "Doe",
    "email": "user@fieldnation.com",
    "phone": "555-0199"
  },
  "projects": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": [],
    "actions": []
  },
  "work_order_counts": {
    "all": 0,
    "today": 0,
    "draft": 0,
    "published_routed": 0,
    "assigned": 0,
    "approved_paid": 0
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

List Clients GET

Previous Page

Get Dispatch Settings GET

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/clients" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Tech Solutions Inc.",
    "manager": {
      "id": 404
    },
    "print_logo": true,
    "address_1": "123 Tech Blvd",
    "city": "San Francisco",
    "state": "CA",
    "zip": "94105",
    "country": "USA",
    "location_type": 1,
    "about": "Leading tech support provider.",
    "website": "https://techsolutions.com",
    "standard_instruction": "Follow safety guidelines.",
    "policy_procedure": "Report all incidents immediately."
  }'